Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom.html2
Class JRexHTMLAnchorElementImpl

    java.lang.Object
      org.mozilla.jrex.dom.JRexNodeImpl
          org.mozilla.jrex.dom.JRexElementImpl
              org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
                  org.mozilla.jrex.dom.html2.JRexHTMLAnchorElementImpl

All Implemented Interfaces:
  Element, HTMLAnchorElement, HTMLElement, Node

public class JRexHTMLAnchorElementImpl
extends JRexHTMLElementImpl
implements HTMLAnchorElement

A class implementing org.w3c.dom.html2.HTMLAnchorElement interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `HTMLAnchorElement`

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`void` | `blur()` Removes keyboard focus from this element.
`void` | `focus()` Gives keyboard focus to this element.
`String` | `getAccessKey()` A single character access key to give access to the form control.
`String` | `getCharset()` The character encoding of the linked resource.
`String` | `getCoords()` Comma-separated list of lengths, defining an active region geometry.
`String` | `getHref()` The absolute URI [IETF RFC 2396] of the linked resource.
`String` | `getHreflang()` Language code of the linked resource.
`String` | `getName()` Anchor name.
`String` | `getRel()` Forward link type.
`String` | `getRev()` Reverse link type.
`String` | `getShape()` The shape of the active area.
`int` | `getTabIndex()` Index that represents the element's position in the tabbing order.
`String` | `getTarget()` Frame to render the resource in.
`String` | `getType()` Advisory content type.
`void` | `setAccessKey(String accessKey)` A single character access key to give access to the form control.
`void` | `setCharset(String charset)` The character encoding of the linked resource.
`void` | `setCoords(String coords)` Comma-separated list of lengths, defining an active region geometry.
`void` | `setHref(String href)` The absolute URI [IETF RFC 2396] of the linked resource.
`void` | `setHreflang(String hreflang)` Language code of the linked resource.
`void` | `setName(String name)` Anchor name.
`void` | `setRel(String rel)` Forward link type.
`void` | `setRev(String rev)` Reverse link type.
`void` | `setShape(String shape)` The shape of the active area.
`void` | `setTabIndex(int tabIndex)` Index that represents the element's position in the tabbing order.
`void` | `setTarget(String target)` Frame to render the resource in.
`void` | `setType(String type)` Advisory content type.

Methods inherited from class org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.mozilla.jrex.dom.JRexElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.mozilla.jrex.dom.JRexNodeImpl
`appendChild, cloneNode, dispose, equals, finalize, getAttributes, getChildNodes, getEventTarget, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, hashCode, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix, toString`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html2.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getAccessKey

    public String getAccessKey()

  Description copied from interface: `HTMLAnchorElement`
  A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.01.

  Specified by:
    `getAccessKey` in interface `HTMLAnchorElement`

### setAccessKey

    public void setAccessKey(String accessKey)

  Description copied from interface: `HTMLAnchorElement`
  A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.01.

  Specified by:
    `setAccessKey` in interface `HTMLAnchorElement`

### getCharset

    public String getCharset()

  Description copied from interface: `HTMLAnchorElement`
  The character encoding of the linked resource. See the charset attribute definition in HTML 4.01.

  Specified by:
    `getCharset` in interface `HTMLAnchorElement`

### setCharset

    public void setCharset(String charset)

  Description copied from interface: `HTMLAnchorElement`
  The character encoding of the linked resource. See the charset attribute definition in HTML 4.01.

  Specified by:
    `setCharset` in interface `HTMLAnchorElement`

### getCoords

    public String getCoords()

  Description copied from interface: `HTMLAnchorElement`
  Comma-separated list of lengths, defining an active region geometry. See also `shape` for the shape of the region. See the coords attribute definition in HTML 4.01.

  Specified by:
    `getCoords` in interface `HTMLAnchorElement`

### setCoords

    public void setCoords(String coords)

  Description copied from interface: `HTMLAnchorElement`
  Comma-separated list of lengths, defining an active region geometry. See also `shape` for the shape of the region. See the coords attribute definition in HTML 4.01.

  Specified by:
    `setCoords` in interface `HTMLAnchorElement`

### getHref

    public String getHref()

  Description copied from interface: `HTMLAnchorElement`
  The absolute URI [IETF RFC 2396] of the linked resource. See the href attribute definition in HTML 4.01.

  Specified by:
    `getHref` in interface `HTMLAnchorElement`

### setHref

    public void setHref(String href)

  Description copied from interface: `HTMLAnchorElement`
  The absolute URI [IETF RFC 2396] of the linked resource. See the href attribute definition in HTML 4.01.

  Specified by:
    `setHref` in interface `HTMLAnchorElement`

### getHreflang

    public String getHreflang()

  Description copied from interface: `HTMLAnchorElement`
  Language code of the linked resource. See the hreflang attribute definition in HTML 4.01.

  Specified by:
    `getHreflang` in interface `HTMLAnchorElement`

### setHreflang

    public void setHreflang(String hreflang)

  Description copied from interface: `HTMLAnchorElement`
  Language code of the linked resource. See the hreflang attribute definition in HTML 4.01.

  Specified by:
    `setHreflang` in interface `HTMLAnchorElement`

### getName

    public String getName()

  Description copied from interface: `HTMLAnchorElement`
  Anchor name. See the name attribute definition in HTML 4.01.

  Specified by:
    `getName` in interface `HTMLAnchorElement`

### setName

    public void setName(String name)

  Description copied from interface: `HTMLAnchorElement`
  Anchor name. See the name attribute definition in HTML 4.01.

  Specified by:
    `setName` in interface `HTMLAnchorElement`

### getRel

    public String getRel()

  Description copied from interface: `HTMLAnchorElement`
  Forward link type. See the rel attribute definition in HTML 4.01.

  Specified by:
    `getRel` in interface `HTMLAnchorElement`

### setRel

    public void setRel(String rel)

  Description copied from interface: `HTMLAnchorElement`
  Forward link type. See the rel attribute definition in HTML 4.01.

  Specified by:
    `setRel` in interface `HTMLAnchorElement`

### getRev

    public String getRev()

  Description copied from interface: `HTMLAnchorElement`
  Reverse link type. See the rev attribute definition in HTML 4.01.

  Specified by:
    `getRev` in interface `HTMLAnchorElement`

### setRev

    public void setRev(String rev)

  Description copied from interface: `HTMLAnchorElement`
  Reverse link type. See the rev attribute definition in HTML 4.01.

  Specified by:
    `setRev` in interface `HTMLAnchorElement`

### getShape

    public String getShape()

  Description copied from interface: `HTMLAnchorElement`
  The shape of the active area. The coordinates are given by `coords`. See the shape attribute definition in HTML 4.01.

  Specified by:
    `getShape` in interface `HTMLAnchorElement`

### setShape

    public void setShape(String shape)

  Description copied from interface: `HTMLAnchorElement`
  The shape of the active area. The coordinates are given by `coords`. See the shape attribute definition in HTML 4.01.

  Specified by:
    `setShape` in interface `HTMLAnchorElement`

### getTabIndex

    public int getTabIndex()

  Description copied from interface: `HTMLAnchorElement`
  Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.01.

  Specified by:
    `getTabIndex` in interface `HTMLAnchorElement`

### setTabIndex

    public void setTabIndex(int tabIndex)

  Description copied from interface: `HTMLAnchorElement`
  Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.01.

  Specified by:
    `setTabIndex` in interface `HTMLAnchorElement`

### getTarget

    public String getTarget()

  Description copied from interface: `HTMLAnchorElement`
  Frame to render the resource in. See the target attribute definition in HTML 4.01.

  Specified by:
    `getTarget` in interface `HTMLAnchorElement`

### setTarget

    public void setTarget(String target)

  Description copied from interface: `HTMLAnchorElement`
  Frame to render the resource in. See the target attribute definition in HTML 4.01.

  Specified by:
    `setTarget` in interface `HTMLAnchorElement`

### getType

    public String getType()

  Description copied from interface: `HTMLAnchorElement`
  Advisory content type. See the type attribute definition in HTML 4.01.

  Specified by:
    `getType` in interface `HTMLAnchorElement`

### setType

    public void setType(String type)

  Description copied from interface: `HTMLAnchorElement`
  Advisory content type. See the type attribute definition in HTML 4.01.

  Specified by:
    `setType` in interface `HTMLAnchorElement`

### blur

    public void blur()

  Description copied from interface: `HTMLAnchorElement`
  Removes keyboard focus from this element.

  Specified by:
    `blur` in interface `HTMLAnchorElement`

### focus

    public void focus()

  Description copied from interface: `HTMLAnchorElement`
  Gives keyboard focus to this element.

  Specified by:
    `focus` in interface `HTMLAnchorElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.